Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1582899 - libuser: FTBFS in Fedora 28
Summary: libuser: FTBFS in Fedora 28
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: libuser
Version: 28
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jakub Hrozek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F28FTBFS
TreeView+ depends on / blocked
 
Reported: 2018-05-27 18:05 UTC by Fedora Release Engineering
Modified: 2018-07-09 13:57 UTC (History)
5 users (show)

Fixed In Version: libuser-0.62-14.fc28
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-07-09 13:57:58 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
root.log (deleted)
2018-05-27 18:05 UTC, Fedora Release Engineering
no flags Details
build.log (deleted)
2018-05-27 18:05 UTC, Fedora Release Engineering
no flags Details
state.log (deleted)
2018-05-27 18:06 UTC, Fedora Release Engineering
no flags Details

Description Fedora Release Engineering 2018-05-27 18:05:36 UTC
libuser failed to build from source in Fedora 28

https://koji.fedoraproject.org/koji/taskinfo?taskID=27206046

For details on the mass rebuild see:
https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

Please fix libuser at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
libuser will be orphaned. Before branching of Fedora 29,
libuser will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://fedoraproject.org/wiki/Fails_to_build_from_source

Comment 1 Fedora Release Engineering 2018-05-27 18:05:47 UTC
Created attachment 1442491 [details]
root.log

Comment 2 Fedora Release Engineering 2018-05-27 18:05:58 UTC
Created attachment 1442492 [details]
build.log

Comment 3 Fedora Release Engineering 2018-05-27 18:06:01 UTC
Created attachment 1442493 [details]
state.log

Comment 4 Orcan Ogetbil 2018-07-04 09:41:51 UTC
This is just rebuilt in rawhide (F29) with Python-3.7.
I am not closing. The bug report is for F28.

Comment 5 Zbigniew Jędrzejewski-Szmek 2018-07-06 18:35:39 UTC
A build was successfull: libuser-0.62-13.fc28 [1].
No update was found in bodhi. Closing the bug nonetheless.

[1] https://koji.fedoraproject.org/koji/buildinfo?buildID=1019387

Comment 6 Orcan Ogetbil 2018-07-07 00:45:56 UTC
That build was done 4 months before this bug was opened. It was before the mass rebuild and it did not pick the gcc-8.0, glibc-2.27 etc. See the build logs.

Reference:
https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

Reopening.

Comment 7 Zbigniew Jędrzejewski-Szmek 2018-07-09 03:52:11 UTC
A build was successfull: libuser-0.62-13.fc28 [1].
No update was found in bodhi. Closing the bug nonetheless.

[1] https://koji.fedoraproject.org/koji/buildinfo?buildID=1019387

Comment 8 Orcan Ogetbil 2018-07-09 05:58:57 UTC
Is it possible to get some non-automated interaction, Zbigniew?

Comment 9 Zbigniew Jędrzejewski-Szmek 2018-07-09 07:06:49 UTC
Ah, sorry, I missed your comment. I will not be closing bugs again soon, so it should be OK. Sorry for the noise.

If your bug was NEW, you would have gotten the following text instead:

Dear Maintainer,

your package has not been built successfully in F28. Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to
acknowledge this. Following the latest policy for such packages [2], your package
will be orphaned if this bug remains in NEW state more than 8 weeks.

[1] https://fedoraproject.org/wiki/Updates_Policy
[2] https://fedoraproject.org/wiki/Fails_to_build_from_source#Package_Removal_for_Long-standing_FTBFS_bugs

Comment 10 Jakub Hrozek 2018-07-09 13:57:58 UTC
Fixed:
https://koji.fedoraproject.org/koji/taskinfo?taskID=28094484

I don't think it makes sense to issue an update, this is not a user visible change. So I'm just going to close the ticket as NEXTRELEASE.


Note You need to log in before you can comment on or make changes to this bug.